From 1527cb3899e5b488906056391191b4f42929c898 Mon Sep 17 00:00:00 2001
From: Paul Wise <pabs3@bonedaddy.net>
Date: Mon, 29 Sep 2014 08:11:30 +0800
Subject: [PATCH] Print the correct next encoding when falling back to other
 encodings

Fixes: https://bugs.debian.org/763266
Signed-off-by: Paul Wise <pabs3@bonedaddy.net>
---
 codespell.py | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/codespell.py b/codespell.py
index 332bf4a..1eb53aa 100755
--- a/codespell.py
+++ b/codespell.py
@@ -171,8 +171,11 @@ class FileOpener:
                     print('WARNING: using encoding=%s failed. '
                                                         % encodings[curr],
                                                         file=sys.stderr)
-                    print('WARNING: Trying next encoding: %s' % encodings[curr],
-                                                        file=sys.stderr)
+                    try:
+                        print('WARNING: Trying next encoding: %s' % encodings[curr+1],
+                                                            file=sys.stderr)
+                    except IndexError:
+                        pass
 
                 curr += 1
 
-- 
2.1.0

